- Qt 5.15
- Qt 3D
- C++ Classes
- QPropertyValueRemovedChange
- Qt 5.15.18 Reference Documentation

# QPropertyValueRemovedChange Class

class Qt3DCore::QPropertyValueRemovedChange

Used to notify when a value is added to a property. More...

Header: | #include <Qt3DCore/QPropertyValueRemovedChange>
qmake: | QT += 3dcore
Inherits: | Qt3DCore::QStaticPropertyValueRemovedChangeBase

- List of all members, including inherited members

## Public Functions

| QPropertyValueRemovedChange(QNodeId subjectId)
QVariant | removedValue() const
void | setRemovedValue(const QVariant &value)

## Related Non-Members

typedef | QPropertyValueRemovedChangePtr

## Detailed Description

## Member Function Documentation

### QPropertyValueRemovedChange::QPropertyValueRemovedChange(QNodeId subjectId)

Constructs a new QPropertyValueRemovedChange with subjectId.

### QVariant QPropertyValueRemovedChange::removedValue() const

Returns the value removed from the property.

See also setRemovedValue().

### void QPropertyValueRemovedChange::setRemovedValue(const QVariant &value)

Sets the value removed from the property to value.

See also removedValue().

## Related Non-Members

### typedef QPropertyValueRemovedChangePtr

A shared pointer for QPropertyValueRemovedChange.